import { schemaProviderFromConfig } from 'apollo-language-server';

class ApolloEngineLoader {
    loaderId() {
        return 'apollo-engine';
    }
    async canLoad(ptr) {
        return typeof ptr === 'string' && ptr === 'apollo-engine';
    }
    canLoadSync() {
        return false;
    }
    async load(_, options) {
        const schemaProvider = schemaProviderFromConfig(options);
        const schema = await schemaProvider.resolveSchema({});
        return {
            location: 'apollo-engine',
            schema,
        };
    }
    loadSync() {
        throw new Error('Loader ApolloEngine has no sync mode');
    }
}

export { ApolloEngineLoader };
//# sourceMappingURL=index.esm.js.map
